Subject: Re: Help ID large moth

From: Christopher Conlan <[email-masked]>
Date: Fri, 14 Jun 1996 10:54:57 -0700

Your moth is called Actias luna or commonly known as the luna moth.  It
is common all over the Eastern half of the United States and creeps up
into Canada and down into Mexico as well.  It is in the family
Saturniidae.  Moths in this family do not feed as adults and only live
for a week or so.  Hence, any migrations are not going to get very far
before rigormortis sets in!  However, there are other groups of moths
that do have migrations of sorts.  Just ask any cotton farmer.
Chris
[email-masked]
Opinions are mine all mine and not necessarily those of my employer.